package edu.certification.abhijitsarkar.ocewsd.jaxrs.basic;

import javax.ws.rs.POST;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.UriInfo;

import org.apache.log4j.Logger;

import edu.certification.abhijitsarkar.ocewsd.utility.logging.AppLogger;

public class ContextSubresource {
	private static final Logger logger = AppLogger.getInstance(ContextSubresource.class);

	@POST
	public void handleContext(@Context UriInfo info) {
		logger.debug("Path: " + info.getPath());
		logger.debug("Absolute Path: " + info.getAbsolutePath());
		logger.debug("Base Uri: " + info.getBaseUri());
	}
}
